Invites
Get invites
GEThttps://api.paynow.gg/v1/stores/{storeId}/invites
Retrieves all store member invites for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Response
200OKInviteDto[]
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the invite was created.
created_byActorDtoRequired
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
role_idFlakeIdRequired
store_idFlakeIdRequired
tokenstringRequired
The token the invited user redeems to accept the invite.
user_emailstringRequired
The email address the invite was sent to.
accepted_atstringOptional
When the invite was accepted. Unset while the invite is still pending.
accepted_by_userActorDtoOptional
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
updated_atstringOptional
When the invite was last updated.
updated_byActorDtoOptional
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/invites" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.invites.getInvites();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/invites", headers=headers)Response200
[
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"role_id": "411486491630370816",
"store_id": "411486491630370816",
"token": "string",
"user_email": "string",
"accepted_at": "2024-01-01T00:00:00Z",
"accepted_by_user": {
"id": "411486491630370816",
"type": "anonymous"
},
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}
]Create an invite
POSThttps://api.paynow.gg/v1/stores/{storeId}/invites
Invites a user to join the store with the specified role.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Request body
role_idFlakeIdRequired
user_emailstringRequired
Response
201CreatedInviteDto
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the invite was created.
created_byActorDtoRequired
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
role_idFlakeIdRequired
store_idFlakeIdRequired
tokenstringRequired
The token the invited user redeems to accept the invite.
user_emailstringRequired
The email address the invite was sent to.
accepted_atstringOptional
When the invite was accepted. Unset while the invite is still pending.
accepted_by_userActorDtoOptional
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
updated_atstringOptional
When the invite was last updated.
updated_byActorDtoOptional
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/invites" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"role_id": "411486491630370816",
"user_email": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.invites.createInvite({
role_id: "411486491630370816",
user_email: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"role_id": "411486491630370816",
"user_email": "string",
}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/invites", headers=headers, json=payload)Response201
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"role_id": "411486491630370816",
"store_id": "411486491630370816",
"token": "string",
"user_email": "string",
"accepted_at": "2024-01-01T00:00:00Z",
"accepted_by_user": {
"id": "411486491630370816",
"type": "anonymous"
},
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}Get an invite
GEThttps://api.paynow.gg/v1/stores/{storeId}/invites/{inviteId}
Retrieves a single store member invite.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
inviteIdFlakeIdRequired
Response
200OKInviteDto
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the invite was created.
created_byActorDtoRequired
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
role_idFlakeIdRequired
store_idFlakeIdRequired
tokenstringRequired
The token the invited user redeems to accept the invite.
user_emailstringRequired
The email address the invite was sent to.
accepted_atstringOptional
When the invite was accepted. Unset while the invite is still pending.
accepted_by_userActorDtoOptional
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
updated_atstringOptional
When the invite was last updated.
updated_byActorDtoOptional
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/invites/{inviteId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.invites.getInvite("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/invites/{inviteId}", headers=headers)Response200
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"role_id": "411486491630370816",
"store_id": "411486491630370816",
"token": "string",
"user_email": "string",
"accepted_at": "2024-01-01T00:00:00Z",
"accepted_by_user": {
"id": "411486491630370816",
"type": "anonymous"
},
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}Cancel an invite
DELETEhttps://api.paynow.gg/v1/stores/{storeId}/invites/{inviteId}
Cancels a pending store member invite.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
inviteIdFlakeIdRequired
curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/invites/{inviteId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.invites.cancelInvite("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/stores/{storeId}/invites/{inviteId}", headers=headers)